using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    /// <summary>
    /// 评审人员
    /// </summary>
    [Description("评审人员")]
    public class T_SC_MT_MEETING_PREVIEW : MesEntityBase
    {

        /// <summary>
        /// 会议表
        /// </summary>
        [Description("会议表")]
        [DataFieldForeignKey("Nav_Meeting", "Nav_ListPReView")]
        public Guid MEETING_ID { get; set; }

        /// <summary>
        /// 会议表
        /// </summary>
        [Description("导航：会议表")]
        public virtual T_SC_MT_MEETING Nav_Meeting { get; set; }

        /// <summary>
        /// 参会人员类型 参会人 40
        /// </summary>
        [Description("参会人员类型")]
        public SCMEETINGPERSONTYPE PERSONTYPE { get; set; } = SCMEETINGPERSONTYPE.REVIEW;

        /// <summary>
        /// 用户ID
        /// </summary>
        [Description("用户ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航属性：用户ID
        /// </summary>
        [Description("导航属性：用户ID")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 参会反馈情况
        /// </summary>
        [Description("参会反馈情况")]
        public JoinTaskResult? JOINRESULT { get; set; }

        /// <summary>
        /// 请假原因
        /// </summary>
        [Description("请假原因")]
        public string NOTJOINREASON { get; set; }
    }
}
